SUBDIRS = src test

bin_SCRIPTS = psmodules-config

pkgconfigdir = $(libdir)/pkgconfig
pkgconfig_DATA= psmodules.pc

EXTRA_DIST = \
	Doxyfile.in \
	psmodules-config.in \
	psmodules.pc.in \
	autogen.sh

if DOXYGEN

docs: Doxyfile $(prefix)/docs/psmodules $(mandir)/man3
	doxygen Doxyfile
	mv -f $(prefix)/docs/psmodules/man/man3/* $(mandir)/man3
	rm -rf $(prefix)/docs/psmodules/man

$(prefix)/docs/psmodules:
	mkdir -p $(prefix)/docs/psmodules

$(mandir)/man3:
	mkdir -p $(mandir)/man3

uninstall-hook:
	rm -rf $(prefix)/docs/psmodules/*

CLEANFILES = $(prefix)/docs/psmodules/* *~

endif

test: check
